Bug 1329254 (CVE-2016-0651) - CVE-2016-0651 mysql: unspecified vulnerability in subcomponent: Server: Optimizer (CPU April 2016)
Summary: CVE-2016-0651 mysql: unspecified vulnerability in subcomponent: Server: Optim...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-0651
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1330444 1330445 1342440 1342454
Blocks: 1329276
TreeView+ depends on / blocked
 
Reported: 2016-04-21 13:29 UTC by Adam Mariš
Modified: 2019-09-29 13:47 UTC (History)
27 users (show)

Fixed In Version: mysql 5.5.47, mariadb 5.5.47, mariadb 10.1.10, mariadb 10.0.23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-21 01:42:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1132 normal SHIPPED_LIVE Important: rh-mariadb100-mariadb security update 2016-05-26 12:35:06 UTC
Red Hat Product Errata RHSA-2016:1480 normal SHIPPED_LIVE Important: mysql55-mysql security update 2016-07-25 12:25:32 UTC
Red Hat Product Errata RHSA-2016:1481 normal SHIPPED_LIVE Moderate: mariadb55-mariadb security update 2016-07-25 12:25:13 UTC

Description Adam Mariš 2016-04-21 13:29:54 UTC
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Server: Optimizer). Supported versions that are affected are 5.5.46 and earlier. Easily exploitable vulnerability allows low privileged attacker with logon to the infrastructure where MySQL Server executes to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server. 

External References:

http://www.oracle.com/technetwork/topics/security/cpuapr2016verbose-2881709.html

Comment 2 Tomas Hoger 2016-05-13 12:00:40 UTC
MariaDB upstream indicates that this issue was fixed in version 5.5.47:

https://mariadb.com/kb/en/mariadb/mariadb-5547-release-notes/

The mariadb packages in Red Hat Enterprise Linux 7 were previously updated to upstream version 5.5.47 via RHSA-2016:0534, and hence already contain the fix for this issue:

https://rhn.redhat.com/errata/RHSA-2016-0534.html

Comment 3 errata-xmlrpc 2016-05-26 08:44:16 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS

Via RHSA-2016:1132 https://access.redhat.com/errata/RHSA-2016:1132

Comment 6 errata-xmlrpc 2016-07-25 08:32:48 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7

Via RHSA-2016:1481 https://rhn.redhat.com/errata/RHSA-2016-1481.html

Comment 7 errata-xmlrpc 2016-07-25 08:43:13 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7

Via RHSA-2016:1480 https://rhn.redhat.com/errata/RHSA-2016-1480.html


Note You need to log in before you can comment on or make changes to this bug.